Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTDrawRangeElements

    java.lang.Object
      org.lwjgl.opengl.EXTDrawRangeElements

    public final class EXTDrawRangeElements

extends java.lang.Object

Field Summary
`static int` | `GL_MAX_ELEMENTS_INDICES_EXT`
`static int` | `GL_MAX_ELEMENTS_VERTICES_EXT`

Method Summary
`static void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.ByteBuffer pIndices)`
`static void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.IntBuffer pIndices)`
`static void` | `glDrawRangeElementsEXT(int mode, int start, int end, int count, int type, long pIndices_buffer_offset)`
`static void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.ShortBuffer pIndices)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_ELEMENTS_VERTICES_EXT

    public static final int GL_MAX_ELEMENTS_VERTICES_EXT

See Also:
  Constant Field Values

### GL_MAX_ELEMENTS_INDICES_EXT

    public static final int GL_MAX_ELEMENTS_INDICES_EXT

See Also:
  Constant Field Values

Method Detail

### glDrawRangeElementsEXT

    public static void glDrawRangeElementsEXT(int mode,
                                              int start,
                                              int end,
                                              java.nio.ByteBuffer pIndices)

### glDrawRangeElementsEXT

    public static void glDrawRangeElementsEXT(int mode,
                                              int start,
                                              int end,
                                              java.nio.IntBuffer pIndices)

### glDrawRangeElementsEXT

    public static void glDrawRangeElementsEXT(int mode,
                                              int start,
                                              int end,
                                              java.nio.ShortBuffer pIndices)

### glDrawRangeElementsEXT

    public static void glDrawRangeElementsEXT(int mode,
                                              int start,
                                              int end,
                                              int count,
                                              int type,
                                              long pIndices_buffer_offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.